%define _legacy_common_support 1

Name:           duperemove
Version:        0.13
Release:    1%{?dist}
Summary:        Tools for deduping file systems
License:        GPL-2.0-only
URL:            https://github.com/markfasheh/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  libgcrypt-devel
BuildRequires:  xxhash-devel
BuildRequires:  libatomic
BuildRequires:  gcc
%if 0%{?el7}
BuildRequires:  devtoolset-7-toolchain, devtoolset-7-libatomic-devel
%endif
BuildRequires: make

%description
Duperemove is a simple tool for finding duplicated extents and
submitting them for deduplication. When given a list of files it will
hash their contents on a block by block basis and compare those hashes
to each other, finding and categorizing extents that match each other.

When given the -d option, duperemove will submit those extents for
deduplication using the btrfs-extent-same ioctl.

%prep
%autosetup
sed -i 's@^PREFIX ?= /usr/local$@PREFIX ?= /usr@' Makefile
rm -f xxhash.h
ln -s /usr/include/xxhash.h

%build
%set_build_flags
%if 0%{?el7}
. /opt/rh/devtoolset-7/enable
%endif
export PREFIX=/usr
export VERSION=%{version}
export IS_RELEASE=1
%make_build

%install
%make_install SBINDIR=%{_sbindir} MANDIR=%{_mandir}

%files
%doc README.md
%license LICENSE
%{_mandir}/man8/btrfs-extent-same*.8*
%{_mandir}/man8/duperemove*.8*
%{_mandir}/man8/hashstats*.8*
%{_mandir}/man8/show-shared-extents*.8*
%{_bindir}/btrfs-extent-same
%{_bindir}/duperemove
%{_bindir}/hashstats
%{_bindir}/show-shared-extents

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
